package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.statictics.ActivateInfo;
import com.iamberry.wechat.core.entity.statictics.AttentionInfo;
import com.iamberry.wechat.core.entity.statictics.EarningsInfo;
import com.iamberry.wechat.core.entity.statictics.MarketInfo;
import com.iamberry.wechat.core.entity.statictics.StatisticsInfo;
import com.iamberry.wechat.core.entity.statictics.UerActivateInfo;

public interface AdminStatisticsMapper {
	
	/**
	 * 查询门店关注人数等报表数据
	 * @param attentionInfo
	 * @return
	 */
	public List<AttentionInfo> selectStoreAttentionList(AttentionInfo attentionInfo);
	
	/**
	 * 查询省代收益报表数据数量
	 * @param earningsInfo
	 * @return
	 */
	public Integer selectStoreAttentionListCount(AttentionInfo attentionInfo);
	
	/**
	 * 分页查询省代收益报表数据
	 * @param earningsInfo
	 * @return
	 */
	public List<EarningsInfo> selectProvinceEarningsList(EarningsInfo earningsInfo);
	
	
	/**
	 * 查询省代收益报表数据数量
	 * @param earningsInfo
	 * @return
	 */
	public Integer selectProvinceEarningsListCount(EarningsInfo earningsInfo);
	
	/**
	 * 查询商户层的激活信息
	 * @param activateInfo
	 * @return
	 */
	public List<ActivateInfo> selectActivateList(ActivateInfo activateInfo);
	
	/**
	 * 查询商户层的激活信息总条目数
	 * @param activateInfo
	 * @return
	 */
	public Integer selectActivateListCount(ActivateInfo activateInfo);
	
	/**
	 * 根据条件查询是否激活的商户层信息
	 * @param uerActivateInfo
	 * @return
	 */
	public List<UerActivateInfo> selectUserActivateList(UerActivateInfo uerActivateInfo);
	
	/**
	 * 查询是否激活的商户层列表数量
	 * @param uerActivateInfo
	 * @return
	 */
	public Integer selectUserActivateListCount(UerActivateInfo uerActivateInfo);
	
	/**
	 * 按月份查询商户层收益金额
	 * @param marketInfo
	 * @return
	 */
	public List<MarketInfo> selectMarketList(MarketInfo marketInfo);
	
	/**
	 * 按月份查询商户层收益总条目数
	 * @param marketInfo
	 * @return
	 */
	public Integer selectMarketListCount(MarketInfo marketInfo);
	
	/**
	 * 查询所有的商户层关系信息
	 * @return
	 */
	public List<MarketInfo> selectPlaceList();
	
	/**
	 * 查询总关注人数
	 * @return
	 */
	public Integer selectAttentionSum();
	
	/**
	 * 查询总销售台数和总金额
	 * @return
	 */
	public StatisticsInfo selectSalesAmount();
	
	/**
	 * 查询今日新增关注人数，今日取消关注人数
	 * @return
	 */
	public StatisticsInfo selectCurrentAttentionNum();
	
	/**
	 * 查询当前已激活省代数量，市代数量、门店数量
	 * @return
	 */
	public List<ActivateInfo> selectPlaceActivate();
	
	/**
	 * 查询当前门店二维码启用数量
	 * @return
	 */
	public Integer selectQrCodeNum();
	
	/**
	 * 查询当前通过门店二维码销售台数,总金额
	 * @return
	 */
	public StatisticsInfo selectStoreSalesInfo();
}
